
stages: [ build, test ]

cc7-build:
  image: cern/cc7-base
  stage: build
  script:
    - yum install -y build-essential git cmake3 make gcc-c++ patch
    - git submodule update --init --recursive
    - mkdir build && cd build
    - cmake3 ..
    - make -j4

cc7-test:
  image: cern/cc7-base
  stage: test
  script:
    - yum install -y build-essential git cmake3 make gcc-c++ valgrind patch
    - git submodule update --init --recursive
    - mkdir build && cd build
    - cmake3 .. -DRYML_DEV=ON -DRYML_SANITIZE=OFF
    - make -j4
    - make test
